# The LearningOnline Network
# Communicate
#
# $Id: loncommunicate.pm,v 1.26 2004/11/17 21:05:26 www Exp $
#
# Copyright Michigan State University Board of Trustees
#
# This file is part of the LearningOnline Network with CAPA (LON-CAPA).
#
# LON-CAPA is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# LON-CAPA is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with LON-CAPA; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# /home/httpd/html/adm/gpl.txt
#
# http://www.lon-capa.org/
#
###

package Apache::loncommunicate;

use strict;
use Apache::Constants qw(:common);
use Apache::lonmsg();
use Apache::loncommon;
use Apache::lonlocal;

sub menu {
    my $r=shift;
    my %lt=&Apache::lonlocal::texthash(
'mnf' => 'Make New Folder',
'vcm' => 'View Critical Messages',
'smu' => 'Send Message to User(s)',
'bmc' => 'Broadcast Message to Course',
'dmu' => 'Distribute Messages from Uploaded File to Course',
'unr' => 
     'User Notes, Records of Face-to-Face Discussions, and Critical Messages',

'cbs' => 'Configure blocking of student communication during exams' 

);
    my %help=();
    foreach ('Course_Face_To_Face_Records,Course_Critical_Message',
	     'Course_Broadcast_Message') {
	$help{$_}=&Apache::loncommon::help_open_topic($_);
    }
# ------------------------------------------------------------------------ Menu
   $r->print(<<END);
<table cellspacing="10" cellpadding="2">
<tr><td bgcolor="#FFFFAA"><form method="post" action="/adm/email">
<input type="submit" value="$lt{'mnf'}" />
<input type="text" size="15" name="newfolder" value="" />
</form></td>
<td bgcolor="#FFFFAA">
  <b><a href="/adm/email?compose=individual">$lt{'smu'}</a></b>
</td></tr>
END
    if (($ENV{'request.course.id'}) && 
        (&Apache::lonnet::allowed('srm',$ENV{'request.course.id'}))) {
        $r->print(<<END);
<tr><td bgcolor="#FFFFAA">
    <b><a href="/adm/email?compose=group">$lt{'bmc'}</a></b>$help{'Course_Broadcast_Message'}
</td>
<td bgcolor="#FFFFAA">
  <b><a href="/adm/email?compose=upload">$lt{'dmu'}</a></b>
</td></tr>
<tr><td bgcolor="#FFFFAA">
<b><a href="/adm/email?recordftf=query">$lt{'unr'}</a></b>$help{'Course_Face_To_Face_Records,Course_Critical_Message'}
</td>
<td bgcolor="#FFFFAA">
  <b><a href="/adm/email?block=display">$lt{'cbs'}</a>
</td></tr>
END
    }
    $r->print('</table>');
}

sub handler {
    my $r = shift;
    &Apache::loncommon::content_type($r,'text/html');
    $r->send_http_header;
    return OK if $r->header_only;
#
# Start document
#
    $r->print(<<END);
<html>
<head>
<title>The LearningOnline Network with CAPA</title>
</head>
END

# ----------------------------------------------------------------- Breadcrumbs
    &Apache::lonhtmlcommon::clear_breadcrumbs();
    &Apache::lonhtmlcommon::add_breadcrumb
        ({href=>"/adm/communicate",
          text=>"Communication/Messages",
          faq=>12,bug=>'Communication Tools',});

# ---------------------------------------------------------------------- Header
    &Apache::lonmsg::header($r);
    &menu($r);
    &Apache::lonmsg::disall($r,'new');
    return OK;
}

1;
__END__
